API referenceAnalytics
GET /analytics/accounts/{id}
Account insights (Instagram, Facebook Page, Threads, TikTok, X; Telegram: followers = member count; Discord, Bluesky and Mastodon have no analytics → not_supported)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringAccount id
metrics?stringComma-separated metrics (IG default reach,views,accounts_engaged,...; FB page_media_view,page_post_engagements,page_follows,page_views_total — page_impressions/page_fans were removed; Threads views,likes,replies,reposts,quotes,clicks,followers_count)
period?stringday (default) | week | days_28 | lifetime
since?stringISO date or unix seconds
until?stringISO date or unix seconds
metricType?stringInstagram (default total_value)
Value in
"total_value""time_series"breakdown?stringInstagram breakdown
timeframe?stringInstagram timeframe
{accountId, platform, metrics}
application/json- response
accountId?stringplatform?stringmetrics?array<>curl -X GET 'https://example.com/api/v1/analytics/accounts/string'Example Response
{ "accountId": "string", "platform": "string", "metrics": [ { "name": "string", "period": "string", "title": "string", "total": 0, "values": [ { "value": null, "endTime": "string" } ], "breakdowns": null } ]}